# studio::Dock_LayerGroups Class Reference

`#include <dock_layergroups.h>`

Inheritance diagram for studio::Dock_LayerGroups:

List of all members.

## Public Member Functions

| Dock_LayerGroups ()
| ~Dock_LayerGroups ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_LayerGroups::Dock_LayerGroups | ( |  | ) |

References _, synfigapp::Action::create(), studio::Dockable::set_toolbar(), studio::GroupActionManager::set_ui_manager(), and studio::App::ui_manager().

Dock_LayerGroups::~Dock_LayerGroups | ( |  | ) |

## Member Function Documentation

void Dock_LayerGroups::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References synfigapp::Action::create(), studio::Dockable::get_name(), and studio::CanvasView::popup_layer_menu().

void Dock_LayerGroups::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::GroupActionManager::clear(), studio::Dockable::clear_previous(), studio::Dockable::get_name(), studio::GroupActionManager::refresh(), studio::GroupActionManager::set_canvas_interface(), and studio::GroupActionManager::set_group_tree().

The documentation for this class was generated from the following files:

- dock_layergroups.h
- dock_layergroups.cpp